# $Revision: 1.25 $, $Date: 2011/07/10 10:06:09 $
# NOTES:- warnings like this: /usr/lib/rpm/perl.prov: weird, cannot determine the package name for
#	 `/mnt/hda5/tmp/gcstar-0.5.0-root-inter/usr/lib/gcstar/GCLang/BG/GCstar.pm'
#	- mark with lang() _datadir/lib/GCLang/*
#
# /usr/lib/rpm/perl.prov: weird, cannot determine the package name for `/root/tmp/gcstar-1.4.2-root-root/usr/share/gcstar/lib/GCLang/SV/GCstar.pm'
# and similar
# TODO: - fix this message, IMHO the first byte of utf8 is the source of error - see with 'less' (uzsolt)
#       - after the done of the first todo, clear the 'Provides' fields
#	- maybe create subpackage
%include	/usr/lib/rpm/macros.perl
Summary:	GCstar: collection manager
Summary(hu.UTF-8):	GCstar: gyűjtemény kezelő
Summary(pl.UTF-8):	GCstar: zarządca kolekcji
Name:		gcstar
Version:	1.6.2
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://download.gna.org/gcstar/%{name}-%{version}.tar.gz
# Source0-md5:	85d44683e72ed51aa1cc3fbcc5d6da43
Patch0:		%{name}-mandir.patch
Patch1:		%{name}-desktop.patch
# copy gcstar perl-libs to /usr/share instead of /usr/lib
Patch2:		%{name}-perlmoddir.patch
URL:		http://www.gcstar.org/
BuildRequires:	perl-Archive-Zip
BuildRequires:	perl-Gtk2
BuildRequires:	perl-Sort-Naturally
BuildRequires:	perl-XML-LibXML
BuildRequires:	perl-XML-Simple
BuildRequires:	perl-libwww
BuildRequires:	rpm-perlprov
Requires(post,postun):	desktop-file-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# parts of Gtk2.pm package
%define gtk2_subpkgs	Dialog\\\\|MenuBar\\\\|MessageDialog\\\\|ScrolledWindow\\\\|Toolbar\\\\|TreeView\\\\|VBox\\\\|Window

# don't require/provide itself, it isn't in standard search path
%define	_noautoprov	^perl(GC.*)$
%define	_noautoreq	^perl(GC.*)$ ^perl(Gtk2::\\\\(%{gtk2_subpkgs}\\\\))$

%description
GCstar is an application to manage different kind of collections. It
is designed to be able to support as many type of collections as
needed. For the moment it supports these ones:
 - Movies
 - Video games
 - Books
 - User defined collections

%description -l hu.UTF-8
GCstar egy alkalmazás, amellyel gyűjtemények különféle fajtáit
tarthatjuk nyilván. Annyi típusú gyűjteményt tud kezelni, amennyire
csak szükségünk lehet. Jelenleg a következőket:
 - filmek
 - videójátékok
 - könyvek
 - felhasználó által definiált gyűjtemények

%description -l pl.UTF-8
GCstar jest aplikacją do zarządzania różnymi rodzajami kolekcji. Jest
zaprojektowana by móc wspierać wszystkie potrzebne typy kolekcji.
Aktualnie wspiera kolekcje:
 - filmów
 - gier wideo
 - książek
 - kolekcje zdefiniowane przez użytkownika

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%install
rm -rf $RPM_BUILD_ROOT

./install --text \
	--prefix=$RPM_BUILD_ROOT%{_prefix}

install -d $RPM_BUILD_ROOT%{_desktopdir}
install -d $RPM_BUILD_ROOT%{_pixmapsdir}
install share/applications/gcstar.desktop $RPM_BUILD_ROOT%{_desktopdir}
install share/gcstar/icons/gcstar_64x64.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gcstar.spec,v $
Revision 1.25  2011/07/10 10:06:09  uzsolt
- 1.6.2

Revision 1.24  2010/08/27 12:16:26  uzsolt
- 1.6.1

Revision 1.23  2010/08/12 16:28:25  uzsolt
- 1.6.0
- perl-Sort-Naturally BR

Revision 1.22  2009/11/20 23:47:02  sparky
- fixed Provides fsckage - use _noautoreq/prov

Revision 1.21  2009/11/20 21:48:48  uzsolt
- cleaning

Revision 1.20  2009/11/20 21:43:09  uzsolt
- reverse patch2 and add a comment (for future ;))

Revision 1.19  2009/11/20 20:45:31  uzsolt
- 1.5.0
- new group, new todo (subpackages)
- disable patch2

Revision 1.18  2008/10/12 15:02:20  uzsolt
- up to 1.4.3
- added TODO

Revision 1.17  2008/10/05 13:43:29  uzsolt
- up to 1.4.2
- added some Provides

Revision 1.16  2008/08/17 20:55:41  qboosh
- sorted

Revision 1.15  2008/08/13 18:17:49  ankry
- tabs

Revision 1.14  2008/08/13 09:28:48  uzsolt
- added perl-XML-LibXML and rpm-perlprov BR

Revision 1.13  2008/06/13 06:16:48  tiwek
- up to 1.4.0

Revision 1.12  2007-10-20 10:14:04  qboosh
- complete URL
- no empty build

Revision 1.11  2007/10/19 08:42:26  tiwek
up to 1.2.2

Revision 1.10  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.8  2007/01/11 05:29:43  sls
- perl modules installed in /usr/share/gcstar/lib
- added perlmoddir.patch

Revision 1.7  2007/01/11 02:48:05  sls
- ver. 1.0.0
- updated mandir.patch

Revision 1.6  2006/12/05 21:45:58  qboosh
- R(post,postun): desktop-file-utils

Revision 1.5  2006/12/03 19:25:02  twittner
- more BRs
- notes about warnings, wrong perl modules location

Revision 1.4  2006/12/03 18:58:16  twittner
- typo

Revision 1.3  2006/12/03 18:56:47  twittner
- description improved (taken from https://gna.org/projects/gcstar/)
- URL added
- Polish translation

Revision 1.2  2006/12/03 18:42:57  twittner
- adapterized (added missing cvs keywords)
- use real package names instead of provides in BR
  (perl(Foo::Bar) -> perl-Foo-Bar)
